Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1645661 - (python-fsleyes-widgets) Review Request: python-fsleyes-widgets - A collection of custom wx widgets and utilities used by FSLeyes
Review Request: python-fsleyes-widgets - A collection of custom wx widgets an...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert-André Mauchin
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-neuro
  Show dependency treegraph
 
Reported: 2018-11-02 14:53 EDT by Ankur Sinha (FranciscoD)
Modified: 2018-11-12 00:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-11-11 21:14:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2018-11-02 14:53:31 EDT
Spec URL: https://ankursinha.fedorapeople.org/python-fsleyes-widgets/python-fsleyes-widgets.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-fsleyes-widgets/python-fsleyes-widgets.spec

Description:
A collection of custom wx widgets and utilities used by FSLeyes.

Fedora Account System Username: ankursinha

F30 scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=30611906
F29 scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=30611779
Comment 1 Robert-André Mauchin 2018-11-08 11:43:40 EST
Requires:  %{py3_dist six}
Requires:  %{py3_dist deprecation}
Requires:  %{py3_dist numpy}
Requires:  %{py3_dist matplotlib}
Requires:  %{py3_dist wxpython}

 - I think this should be under the Py3 subpackage

 - Remove the sphinx-build leftovers:

python-fsleyes-widgets-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-fsleyes-widgets-doc/html/.buildinfo
python-fsleyes-widgets-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-fsleyes-widgets-doc/html/.doctrees
python-fsleyes-widgets-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-fsleyes-widgets-doc/html/.doctrees

 - Remve the dot at the end of the summary:

python3-fsleyes-widgets.noarch: W: summary-ended-with-dot C A collection of custom wx widgets and utilities used by FSLeyes.

 - Remove shebangs en %prep:
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/__init__.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/__init__.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/autotextctrl.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/autotextctrl.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/bitmapradio.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/bitmapradio.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/bitmaptoggle.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/bitmaptoggle.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/colourbutton.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/colourbutton.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/dialog.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/dialog.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/elistbox.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/elistbox.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/floatslider.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/floatslider.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/floatspin.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/floatspin.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/imagepanel.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/imagepanel.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/notebook.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/notebook.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/numberdialog.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/numberdialog.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/placeholder_textctrl.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/placeholder_textctrl.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/rangeslider.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/rangeslider.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/textpanel.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/textpanel.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/texttag.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/texttag.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/togglepanel.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/togglepanel.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/__init__.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/__init__.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/colourbarbitmap.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/colourbarbitmap.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/layout.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/layout.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/progress.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/progress.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/runwindow.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/runwindow.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/status.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/status.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/textbitmap.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/textbitmap.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/typedict.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/typedict.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/webpage.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/webpage.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/widgetgrid.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/widgetgrid.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/widgetlist.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/widgetlist.py 644 /usr/bin/env python


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache License (v2.0)", "Unknown or generated",
     "Apache License (v2.0)". 465 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/python-fsleyes-
     widgets/review-python-fsleyes-widgets/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python3
     -fsleyes-widgets , python-fsleyes-widgets-doc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-fsleyes-widgets-0.7.0-1.fc30.noarch.rpm
          python-fsleyes-widgets-doc-0.7.0-1.fc30.noarch.rpm
          python-fsleyes-widgets-0.7.0-1.fc30.src.rpm
python3-fsleyes-widgets.noarch: W: spelling-error Summary(en_US) wx -> ex, w, x
python3-fsleyes-widgets.noarch: W: summary-ended-with-dot C A collection of custom wx widgets and utilities used by FSLeyes.
python3-fsleyes-widgets.noarch: W: spelling-error %description -l en_US wx -> ex, w, x
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/__init__.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/__init__.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/autotextctrl.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/autotextctrl.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/bitmapradio.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/bitmapradio.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/bitmaptoggle.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/bitmaptoggle.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/colourbutton.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/colourbutton.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/dialog.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/dialog.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/elistbox.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/elistbox.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/floatslider.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/floatslider.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/floatspin.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/floatspin.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/imagepanel.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/imagepanel.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/notebook.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/notebook.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/numberdialog.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/numberdialog.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/placeholder_textctrl.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/placeholder_textctrl.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/rangeslider.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/rangeslider.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/textpanel.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/textpanel.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/texttag.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/texttag.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/togglepanel.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/togglepanel.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/__init__.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/__init__.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/colourbarbitmap.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/colourbarbitmap.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/layout.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/layout.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/progress.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/progress.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/runwindow.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/runwindow.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/status.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/status.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/textbitmap.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/textbitmap.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/typedict.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/typedict.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/webpage.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/utils/webpage.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/widgetgrid.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/widgetgrid.py 644 /usr/bin/env python
python3-fsleyes-widgets.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsleyes_widgets/widgetlist.py /usr/bin/env python
python3-fsleyes-widgets.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsleyes_widgets/widgetlist.py 644 /usr/bin/env python
python-fsleyes-widgets-doc.noarch: W: spelling-error Summary(en_US) wx -> ex, w, x
python-fsleyes-widgets-doc.noarch: W: summary-ended-with-dot C A collection of custom wx widgets and utilities used by FSLeyes.
python-fsleyes-widgets-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-fsleyes-widgets-doc/html/.buildinfo
python-fsleyes-widgets-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-fsleyes-widgets-doc/html/.doctrees
python-fsleyes-widgets-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-fsleyes-widgets-doc/html/.doctrees
python-fsleyes-widgets.src: W: spelling-error Summary(en_US) wx -> ex, w, x
python-fsleyes-widgets.src: W: summary-ended-with-dot C A collection of custom wx widgets and utilities used by FSLeyes.
python-fsleyes-widgets.src: W: spelling-error %description -l en_US wx -> ex, w, x
3 packages and 0 specfiles checked; 56 errors, 11 warnings.
Comment 3 Robert-André Mauchin 2018-11-08 12:30:32 EST
LGTM, package approved.
Comment 4 Ankur Sinha (FranciscoD) 2018-11-08 12:37:28 EST
Thanks very much! Requesting SCM now :)
Comment 5 Gwyn Ciesla 2018-11-08 12:54:46 EST
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-fsleyes-widgets
Comment 6 Fedora Update System 2018-11-08 17:19:19 EST
python-fslpy-1.12.0-3.fc28 python-fsleyes-widgets-0.7.0-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7b1718c9b1
Comment 7 Fedora Update System 2018-11-08 17:19:33 EST
python-fslpy-1.12.0-3.fc29 python-fsleyes-widgets-0.7.0-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d4e0d559fd
Comment 8 Fedora Update System 2018-11-09 02:45:56 EST
python-fsleyes-widgets-0.7.0-3.fc29, python-fslpy-1.12.0-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d4e0d559fd
Comment 9 Fedora Update System 2018-11-09 02:50:54 EST
python-fsleyes-widgets-0.7.0-3.fc28, python-fslpy-1.12.0-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7b1718c9b1
Comment 10 Fedora Update System 2018-11-11 21:14:29 EST
python-fsleyes-widgets-0.7.0-3.fc29, python-fslpy-1.12.0-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2018-11-12 00:28:20 EST
python-fsleyes-widgets-0.7.0-3.fc28, python-fslpy-1.12.0-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.